package com.company;

public class Main {

    public static void main(String[] args) {

        //supported versions;
        String latest_version =  "1.10.0";
        String min_version = "1.9.4";


        System.out.println("\nMinimum Required Version: "  + min_version + " | Latest Stable Version: " + latest_version + "\n");

        System.out.println("Test Version Compare");
        System.out.println("1.1.2 vs 1.9.0 = " + Version.compare("1.1.2","1.9.0"));
        System.out.println("1.9.4 vs 1.9.0 = " + Version.compare("1.9.4","1.9.0"));
        System.out.println("1.9 vs 1.9.0 = " + Version.compare("1.9","1.9.0"));
        System.out.println("...");

        System.out.println("Test Versions Check");
        Version A = Version.check(min_version,latest_version,"1.9.4");
        Version B = Version.check(min_version,latest_version,"1.10.0+dev-414-gf1fdd782d");
        Version C = Version.check(min_version,latest_version,"1.10.0");
        Version D = Version.check(min_version,latest_version,"1.10.1");
        Version E = Version.check(min_version,latest_version,"1.9.0");

        System.out.println("1.9.4 = " + A.name());
        System.out.println("1.10.0+dev-414-gf1fdd782d = " + B.name());
        System.out.println("1.10.0 = " + C.name());
        System.out.println("1.10.1 = " + D.name());
        System.out.println("1.9.0 = " + E.name());

        System.out.println("...");

    }
}
